summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2018-10-21 16:46:40 -0400
committerVirgil Dupras <vdupras@gentoo.org>2018-10-21 16:52:56 -0400
commitb5b300aad5b4c95789c941d23b528de6f7bb89e7 (patch)
tree2545d89e52d324c1991162efae76ea157b3d0383 /www-client
parentnet-libs/libhubbub: remove old (diff)
downloadgentoo-b5b300aad5b4c95789c941d23b528de6f7bb89e7.tar.gz
gentoo-b5b300aad5b4c95789c941d23b528de6f7bb89e7.tar.bz2
gentoo-b5b300aad5b4c95789c941d23b528de6f7bb89e7.zip
www-client/netsurf: bump to 3.8
I had to drop gstreamer because it depends on a vulnerable version. Closes: https://bugs.gentoo.org/636224 Closes: https://bugs.gentoo.org/662230 Closes: https://bugs.gentoo.org/629204 Closes: https://bugs.gentoo.org/641846 Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'www-client')
-rw-r--r--www-client/netsurf/Manifest2
-rw-r--r--www-client/netsurf/files/netsurf-3.8-CFLAGS.patch79
-rw-r--r--www-client/netsurf/files/netsurf-3.8-pdf-writer.patch86
-rw-r--r--www-client/netsurf/netsurf-3.8.ebuild163
4 files changed, 330 insertions, 0 deletions
diff --git a/www-client/netsurf/Manifest b/www-client/netsurf/Manifest
index 4a7b2ef7309..370d0b8b4b7 100644
--- a/www-client/netsurf/Manifest
+++ b/www-client/netsurf/Manifest
@@ -1,3 +1,5 @@
DIST netsurf-3.6-src.tar.gz 4129091 BLAKE2B d6b08069e34a8fd4f2010c6b3efbde9d7b13e40d3f3fdceeee92eb9d2bbeb92fac6f0a1ca9ac263ebc1904ad04a42c97a6418da7e095d18eda3be952129ac718 SHA512 6141cd94b2b6c8e56f682599e4929690f6ca668d1f6ff20bad93e30cf3a3b27475146f2b3c9dbc9f1b2e44b729d74c346254959b7def1f8d194e1c6efac3078d
+DIST netsurf-3.8-src.tar.gz 3945752 BLAKE2B 0f4592e53e95cfedb3c34a16ce9df9baeeaed93afb3bac3d68dab1e3d80e67c0498111c123285f6e828d063574e0e5f0cc3aa337ffab066f2283d06d248a308a SHA512 6f4dfdc546cce3b85d32da0dd816adc9a39410ed42bc28f263f4a1db64b35a889a1784a4116715190e756988dd263976933cfac75c9dcd81af01954487ddcaf6
DIST netsurf-buildsystem-1.5.tar.gz 38196 BLAKE2B 298ef39d45b98ae5ef57a22aed9f22bf96dfd6ad5475964c04451eaf28aca7f451b4906002c3e110ffcc951015169f02ffcd85f24e54b46c47b25e048115db1c SHA512 02d85e8f1d2101194a678f7ccf84051390953285a46951d7b327556f8df1a0c416620bd4c7a615e25de438d5d27cfffb69ec5d94eb8379a295dab4c85a96cae4
+DIST netsurf-buildsystem-1.7.tar.gz 38597 BLAKE2B d0981ef282ac0d93d81a1a6a6bee1fc2a0151c962be6ce2900a67843ba8ebc67e00508cded2a7375f6bbe0d45572690f127872936a282de80eb08655ac571603 SHA512 f6a46ac25f41e695ec13d7b2b564250c4cc44a40a688904eb17aa4b547c2df0102cc0effb7a23a2ffa6b9178ae5cf452b63980caf26e06e479168c85803f1e58
DIST netsurf-fb.modes-example.gz 4586 BLAKE2B 89c76fde1ddc79e46f22d9f628f8d75ec57be2a29d31383550137e3b502aa4d8c0a733b755731c916d4d544679a4253323bc343528c5e2c4f145c3318ac1d86d SHA512 753a707dc428212803dd64250bb723a498fdc1c328fdac4df38be533eab3af45f727cdc6b7ced3faaa0e82db182c4eab140b8e81b0d3cfe2152252b89e6d2981
diff --git a/www-client/netsurf/files/netsurf-3.8-CFLAGS.patch b/www-client/netsurf/files/netsurf-3.8-CFLAGS.patch
new file mode 100644
index 00000000000..c52422dcb92
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.8-CFLAGS.patch
@@ -0,0 +1,79 @@
+diff --git a/Makefile.defaults b/Makefile.defaults
+index 51090109e..f1ec46f73 100644
+--- a/Makefile.defaults
++++ b/Makefile.defaults
+@@ -114,12 +114,6 @@ NETSURF_USE_SANITIZERS := NO
+ # But recover after sanitizer failure
+ NETSURF_RECOVER_SANITIZERS := YES
+
+-# Initial CFLAGS. Optimisation level etc. tend to be target specific.
+-CFLAGS :=
+-
+-# Initial CXXFLAGS. Optimisation level etc. tend to be target specific.
+-CXXFLAGS :=
+-
+ # Default installation/execution prefix
+ PREFIX ?= /usr/local
+
+diff --git a/frontends/framebuffer/Makefile b/frontends/framebuffer/Makefile
+index bdedd903b..35179138a 100644
+--- a/frontends/framebuffer/Makefile
++++ b/frontends/framebuffer/Makefile
+@@ -20,7 +20,7 @@ CFLAGS += '-DNETSURF_FB_FONT_MONOSPACE_BOLD="$(NETSURF_FB_FONT_MONOSPACE_BOLD)"'
+ CFLAGS += '-DNETSURF_FB_FONT_CURSIVE="$(NETSURF_FB_FONT_CURSIVE)"'
+ CFLAGS += '-DNETSURF_FB_FONT_FANTASY="$(NETSURF_FB_FONT_FANTASY)"'
+
+-CFLAGS += -std=c99 -g -Dsmall \
++CFLAGS += -std=c99 -Dsmall \
+ -D_BSD_SOURCE \
+ -D_DEFAULT_SOURCE \
+ -D_XOPEN_SOURCE=600 \
+diff --git a/frontends/framebuffer/Makefile.defaults b/frontends/framebuffer/Makefile.defaults
+index cc712e992..f132c97d6 100644
+--- a/frontends/framebuffer/Makefile.defaults
++++ b/frontends/framebuffer/Makefile.defaults
+@@ -3,7 +3,7 @@
+ # ----------------------------------------------------------------------------
+
+ # Optimisation levels
+-CFLAGS += -O2
++CFLAGS +=
+
+ # Framebuffer default surface provider.
+ # Valid values are: x, sdl, linux, vnc, able,
+diff --git a/frontends/gtk/Makefile b/frontends/gtk/Makefile
+index ec60ce70c..04af6df8f 100644
+--- a/frontends/gtk/Makefile
++++ b/frontends/gtk/Makefile
+@@ -33,7 +33,7 @@ GTKDEPFLAGS += -DGTK_DISABLE_DEPRECATED
+ endif
+
+
+-GTKCFLAGS := -std=c99 -Dgtk -Dnsgtk -g \
++GTKCFLAGS := -std=c99 -Dgtk -Dnsgtk \
+ $(GTKDEPFLAGS) \
+ -D_BSD_SOURCE \
+ -D_DEFAULT_SOURCE \
+diff --git a/frontends/gtk/Makefile.defaults b/frontends/gtk/Makefile.defaults
+index a98043eb9..bb5371230 100644
+--- a/frontends/gtk/Makefile.defaults
++++ b/frontends/gtk/Makefile.defaults
+@@ -39,4 +39,4 @@ NETSURF_FS_BACKING_STORE := YES
+ NETSURF_GTK_MAJOR ?= 2
+
+ # Optimisation levels
+-CFLAGS += -O2
++CFLAGS +=
+diff --git a/test/Makefile b/test/Makefile
+index 4f9dd22c9..8bec9b88a 100644
+--- a/test/Makefile
++++ b/test/Makefile
+@@ -134,7 +134,7 @@ ifneq ($(CC_MAJOR),2)
+ COMMON_WARNFLAGS += -Wno-unused-parameter
+ endif
+
+-BASE_TESTCFLAGS := -std=c99 -g \
++BASE_TESTCFLAGS := -std=c99 \
+ $(COMMON_WARNFLAGS) \
+ -D_DEFAULT_SOURCE \
+ -D_POSIX_C_SOURCE=200809L \
diff --git a/www-client/netsurf/files/netsurf-3.8-pdf-writer.patch b/www-client/netsurf/files/netsurf-3.8-pdf-writer.patch
new file mode 100644
index 00000000000..e9c2420a33f
--- /dev/null
+++ b/www-client/netsurf/files/netsurf-3.8-pdf-writer.patch
@@ -0,0 +1,86 @@
+diff --git a/desktop/font_haru.c b/desktop/font_haru.c
+index 4ee9824f0..3304ba82a 100644
+--- a/desktop/font_haru.c
++++ b/desktop/font_haru.c
+@@ -37,7 +37,7 @@
+ #include <hpdf.h>
+
+ #include "utils/nsoption.h"
+-#include "desktop/save_pdf/font_haru.h"
++#include "desktop/font_haru.h"
+ #include "desktop/font.h"
+ #include "utils/log.h"
+
+diff --git a/desktop/save_pdf.c b/desktop/save_pdf.c
+index 889190089..9e6265cfb 100644
+--- a/desktop/save_pdf.c
++++ b/desktop/save_pdf.c
+@@ -60,6 +60,8 @@
+ #include "utils/useragent.h"
+ #include "content/hlcache.h"
+ #include "utils/nsoption.h"
++#include "desktop/gui_misc.h"
++#include "desktop/gui_internal.h"
+ #include "netsurf/bitmap.h"
+
+ #include "netsurf/plotters.h"
+@@ -455,11 +457,6 @@ HPDF_Image pdf_extract_image(struct bitmap *bitmap)
+
+ switch(content_get_type(content)){
+ /*Handle "embeddable" types of images*/
+- case CONTENT_JPEG:
+- image = HPDF_LoadJpegImageFromMem(pdf_doc,
+- (const HPDF_BYTE *) source_data,
+- source_size);
+- break;
+
+ /*Disabled until HARU PNG support will be more stable.
+
+@@ -706,7 +703,7 @@ bool pdf_begin(struct print_settings *print_settings)
+
+
+ #ifndef PDF_DEBUG
+- if (option_enable_PDF_compression)
++ if (nsoption_bool(enable_PDF_compression))
+ HPDF_SetCompressionMode(pdf_doc, HPDF_COMP_ALL); /*Compression on*/
+ #endif
+ HPDF_SetInfoAttr(pdf_doc, HPDF_INFO_CREATOR, user_agent_string());
+@@ -780,7 +777,7 @@ void pdf_end(void)
+ assert(settings->output != NULL);
+
+ /*Encryption on*/
+- if (option_enable_PDF_password)
++ if (nsoption_bool(enable_PDF_password))
+ guit->misc->pdf_password(&owner_pass, &user_pass,
+ (void *)settings->output);
+ else
+@@ -795,7 +792,7 @@ nserror save_pdf(const char *path)
+ {
+ nserror res = NSERROR_OK;
+
+- if (option_enable_PDF_password && owner_pass != NULL ) {
++ if (nsoption_bool(enable_PDF_password) && owner_pass != NULL ) {
+ HPDF_SetPassword(pdf_doc, owner_pass, user_pass);
+ HPDF_SetEncryptionMode(pdf_doc, HPDF_ENCRYPT_R3, 16);
+ free(owner_pass);
+diff --git a/frontends/gtk/scaffolding.c b/frontends/gtk/scaffolding.c
+index 8c46fd884..748518fdc 100644
+--- a/frontends/gtk/scaffolding.c
++++ b/frontends/gtk/scaffolding.c
+@@ -853,14 +853,14 @@ MULTIHANDLER(pdf)
+
+ free(url_name);
+
+- strncpy(dirname, option_downloads_directory, PATH_MAX);
++ strncpy(dirname, nsoption_charp(downloads_directory), PATH_MAX);
+ strncat(dirname, "/", PATH_MAX - strlen(dirname));
+ dirname[PATH_MAX - 1] = '\0';
+
+ /* this way the scale used by PDF functions is synchronised with that
+ * used by the all-purpose print interface
+ */
+- haru_nsfont_set_scale((float)option_export_scale / 100);
++ haru_nsfont_set_scale((float)nsoption_int(export_scale) / 100);
+
+ save_dialog = gtk_file_chooser_dialog_new("Export to PDF", g->window,
+ GTK_FILE_CHOOSER_ACTION_SAVE,
diff --git a/www-client/netsurf/netsurf-3.8.ebuild b/www-client/netsurf/netsurf-3.8.ebuild
new file mode 100644
index 00000000000..5722a925d81
--- /dev/null
+++ b/www-client/netsurf/netsurf-3.8.ebuild
@@ -0,0 +1,163 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+NETSURF_COMPONENT_TYPE=binary
+NETSURF_BUILDSYSTEM=buildsystem-1.7
+inherit netsurf
+
+DESCRIPTION="a free, open source web browser"
+HOMEPAGE="http://www.netsurf-browser.org/"
+SRC_URI="http://download.netsurf-browser.org/netsurf/releases/source/${P}-src.tar.gz
+ http://xmw.de/mirror/netsurf-fb.modes-example.gz
+ ${NETSURF_BUILDSYSTEM_SRC_URI}"
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc"
+IUSE="+bmp +duktape fbcon truetype +gif gtk gtk2 gtk3 +javascript +jpeg +mng
+ pdf-writer +png +psl +rosprite +svg +svgtiny +webp fbcon_frontend_able
+ fbcon_frontend_linux fbcon_frontend_sdl fbcon_frontend_vnc fbcon_frontend_x"
+
+REQUIRED_USE="|| ( fbcon gtk gtk2 gtk3 )
+ amd64? ( abi_x86_32? ( javascript? ( duktape ) ) )
+ fbcon? ( ^^ ( fbcon_frontend_able fbcon_frontend_linux fbcon_frontend_sdl
+ fbcon_frontend_vnc fbcon_frontend_x ) )
+ duktape? ( javascript )"
+
+RDEPEND=">=dev-libs/libnsutils-0.0.5[${MULTILIB_USEDEP}]
+ >=dev-libs/libutf8proc-2.2[${MULTILIB_USEDEP}]
+ dev-libs/libxml2:2[${MULTILIB_USEDEP}]
+ net-misc/curl[${MULTILIB_USEDEP}]
+ >=dev-libs/libcss-0.8[${MULTILIB_USEDEP}]
+ >=net-libs/libhubbub-0.3[${MULTILIB_USEDEP}]
+ >=net-libs/libdom-0.3[${MULTILIB_USEDEP}]
+ bmp? ( >=media-libs/libnsbmp-0.1[${MULTILIB_USEDEP}] )
+ fbcon? ( >=dev-libs/libnsfb-0.2[${MULTILIB_USEDEP}]
+ truetype? ( media-fonts/dejavu
+ >=media-libs/freetype-2.5.0.1[${MULTILIB_USEDEP}] )
+ )
+ gif? ( >=media-libs/libnsgif-0.1[${MULTILIB_USEDEP}] )
+ gtk2? ( dev-libs/glib:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:2[${MULTILIB_USEDEP}] )
+ gtk3? ( dev-libs/glib:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+ gtk? ( dev-libs/glib:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+ javascript? ( >=dev-libs/nsgenbind-0.3[${MULTILIB_USEDEP}]
+ !duktape? ( dev-lang/spidermonkey:0= ) )
+ jpeg? ( >=virtual/jpeg-0-r2:0[${MULTILIB_USEDEP}] )
+ mng? ( >=media-libs/libmng-1.0.10-r2[${MULTILIB_USEDEP}] )
+ pdf-writer? ( media-libs/libharu[${MULTILIB_USEDEP}] )
+ png? ( >=media-libs/libpng-1.2.51:0[${MULTILIB_USEDEP}] )
+ psl? ( media-libs/libnspsl[${MULTILIB_USEDEP}] )
+ rosprite? ( >=media-libs/librosprite-0.1.2-r1[${MULTILIB_USEDEP}] )
+ svg? ( svgtiny? ( >=media-libs/libsvgtiny-0.1.3-r1[${MULTILIB_USEDEP}] )
+ !svgtiny? ( gnome-base/librsvg:2[${MULTILIB_USEDEP}] ) )
+ webp? ( >=media-libs/libwebp-0.3.0[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-libs/check[${MULTILIB_USEDEP}]
+ dev-perl/HTML-Parser"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.8-CFLAGS.patch
+ "${FILESDIR}"/${PN}-3.6-conditionally-include-image-headers.patch
+ "${FILESDIR}"/${PN}-3.8-pdf-writer.patch
+)
+
+DOCS=( fb.modes README docs/using-framebuffer.md
+ docs/ideas/{cache,css-engine,render-library}.txt )
+
+src_prepare() {
+ # working around broken netsurf eclass
+ default
+ rm -r frontends/{amiga,atari,beos,monkey,riscos,windows} || die
+
+ mv "${WORKDIR}"/netsurf-fb.modes-example fb.modes
+
+ multilib_copy_sources
+}
+
+src_configure() {
+ netsurf_src_configure
+
+ netsurf_makeconf+=(
+ NETSURF_USE_BMP=$(usex bmp YES NO)
+ NETSURF_USE_GIF=$(usex gif YES NO)
+ NETSURF_USE_JPEG=$(usex jpeg YES NO)
+ NETSURF_USE_PNG=$(usex png YES NO)
+ NETSURF_USE_NSPSL=$(usex psl YES NO)
+ NETSURF_USE_MNG=$(usex mng YES NO)
+ NETSURF_USE_WEBP=$(usex webp YES NO)
+ NETSURF_USE_MOZJS=$(usex javascript $(usex duktape NO YES) NO)
+ NETSURF_USE_JS=NO
+ NETSURF_USE_DUKTAPE=$(usex javascript $(usex duktape YES NO) NO)
+ NETSURF_USE_HARU_PDF=$(usex pdf-writer YES NO)
+ NETSURF_USE_NSSVG=$(usex svg $(usex svgtiny YES NO) NO)
+ NETSURF_USE_RSVG=$(usex svg $(usex svgtiny NO YES) NO)
+ NETSURF_USE_ROSPRITE=$(usex rosprite YES NO)
+ PKG_CONFIG=$(tc-getPKG_CONFIG)
+ $(usex fbcon_frontend_able NETSURF_FB_FRONTEND=able "")
+ $(usex fbcon_frontend_linux NETSURF_FB_FRONTEND=linux "")
+ $(usex fbcon_frontend_sdl NETSURF_FB_FRONTEND=sdl "")
+ $(usex fbcon_frontend_vnc NETSURF_FB_FRONTEND=vnc "")
+ $(usex fbcon_frontend_x NETSURF_FB_FRONTEND=x "")
+ NETSURF_FB_FONTLIB=$(usex truetype freetype internal)
+ NETSURF_FB_FONTPATH=${EROOT}usr/share/fonts/dejavu
+ TARGET=dummy
+ NETSURF_USE_VIDEO=dummy
+ )
+}
+
+src_compile() {
+ if use fbcon ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=framebuffer}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_compile
+ fi
+ if use gtk2 ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_compile
+ fi
+ if use gtk3 || use gtk ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk3}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_compile
+ fi
+}
+
+src_install() {
+ sed -e '1iexit;' \
+ -i "${WORKDIR}"/*/utils/git-testament.pl || die
+
+ if use fbcon ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=framebuffer}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_install
+ elog "framebuffer binary has been installed as netsurf-fb"
+ make_desktop_entry "${EROOT}"/usr/bin/netsurf-fb NetSurf-framebuffer netsurf "Network;WebBrowser"
+ elog "In order to setup the framebuffer console, netsurf needs an /etc/fb.modes"
+ elog "You can use an example from /usr/share/doc/${PF}/fb.modes.* (bug 427092)."
+ elog "Please make /dev/input/mice readable to the account using netsurf-fb."
+ elog "Either use chmod a+r /dev/input/mice (security!!!) or use an group."
+ fi
+ if use gtk2 ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_install
+ elog "netsurf gtk2 version has been installed as netsurf-gtk"
+ make_desktop_entry "${EROOT}"/usr/bin/netsurf-gtk NetSurf-gtk netsurf "Network;WebBrowser"
+ fi
+ if use gtk3 || use gtk ; then
+ netsurf_makeconf=( "${netsurf_makeconf[@]/TARGET=*/TARGET=gtk3}" )
+ netsurf_makeconf=( "${netsurf_makeconf[@]/NETSURF_USE_VIDEO=*/NETSURF_USE_VIDEO=NO}" )
+ netsurf_src_install
+ elog "netsurf gtk3 version has been installed as netsurf-gtk3"
+ make_desktop_entry "${EROOT}"/usr/bin/netsurf-gtk3 NetSurf-gtk3 netsurf "Network;WebBrowser"
+ fi
+
+ insinto /usr/share/pixmaps
+ doins frontends/gtk/res/netsurf.xpm
+}